@import url('https://fonts.googleapis.com/css?family=Muli:wght@400;700&display=swap');
*{
    box-sizing: border-box;
}
body{
    display:flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
    background-color: darkorange;
}
.toggle-container{
    display: flex;
    align-items: center;
    margin:10px 0;
    width:200px;
}
.toggle{
    visibility: hidden;
}
.label {
    width:80px;
    height: 40px;
    background-color: #d0d0d0;
    border-radius: 50px;
    cursor:pointer;
    display: inline-block;
    margin:0 15px 0;
    position:relative;
}
/* in case checkbox was checked, change the background color of label  */
.toggle:checked + .label{
    background-color: #8e44ad;
}
/* the ball inside  */
.ball{
    background:#fff;
    height:34px;
    width:34px;
    border-radius: 50%;
    position:absolute;
    top:3px;
    left:3px;
    align-items:center;
    justify-content: center;
    animation:slideOff 0.3s linear forwards;
}

.toggle:checked + .label .ball{
    animation:slideOn 0.3s linear forwards;
}
/* turning slide button on and off */
@keyframes slideOn {
    0%{
        transform: translateX(0) scale(1)
    }
    50%{
        transform: translateX(20px) scale(1.2);
    }
    100%{
        transform: translateX(40px) scale(1);
    }
}
@keyframes slideOff {
    0%{
        transform: translateX(40px) scale(1)
    }
    50%{
        transform: translateX(20px) scale(1.2);
    }
    100%{
        transform: translateX(0px) scale(1);
    }
}